from turtledemo.penrose import start

from anyio import sleep

from data_manager import DataFetcher
from money_flow_analyzer import MoneyflowAnalyzer

def update_main():
    # 指定日期范围
    start_date = '20240101'
    end_date = None

    # 更新数据
    trade_date_api = [
        'moneyflow',  # 个股资金流向
        'moneyflow_ind_dc',  # 东财概念及行业板块资金流向（DC）
        'daily',  # A股日线行情
        'daily_basic',  # 每日指标,获取全部股票每日重要的基本面指标
        'stk_limit',  # 每日涨跌停价格
        'cyq_perf',  # 每日筹码及胜率
        'moneyflow_dc',  # 东方财富资金流向
        'kpl_list',  # 获取开盘啦涨停、跌停、炸板等榜单数据
        'top_list',  # 龙虎榜每日明细
        'top_inst',  # 龙虎榜机构席位明细
        'limit_list_d',  # 涨跌停列表（新）,获取A股每日涨跌停、炸板数据情况，数据从2020年开始（不提供ST股票的统计）
        'ths_daily',  # 同花顺板块指数行情
        'ths_hot',  # 获取同花顺App热榜数据，包括热股、概念板块、ETF、可转债、港美股等等，每日盘中提取4次，收盘后4次，最晚22点提取一次。

    ]
    basic_api = [
        'stock_basic',  # 股票基本信息
        'trade_cal',  # 交易日历
        'namechange',  # 股票曾用名
        'ths_index',  # 同花顺概念和行业指数
        'hm_list',  # 游资名录
        'index_basic',  # 指数基本信息
    ]
    DataFetcher.update_all(trade_date_api=trade_date_api, basic_api=basic_api, start_date=start_date, end_date=end_date, force_update=False)

    # 更新特殊数据
    trade_date_api=[
        'moneyflow_cnt_ths',# 同花顺概念板块资金流向（THS）                             20240120以前就没了
        'moneyflow_ind_ths',# 同花顺行业板块资金流向（THS）                             20250120以前就没了
        'kpl_concept',      # 开盘啦题材库,获取开盘啦概念题材列表                         20241020以前就没了
        'kpl_concept_cons', # 开盘啦题材成分,获取开盘啦概念题材的成分股                     20241014以前就没了
        'moneyflow_ths',    # 同花顺资金流向                                          20241219以前就没了
        'dc_index',  # 东方财富概念板块,获取东方财富每个交易日的概念板块数据，支持按日期查询      20241219以前就没了
        'stk_auction',  # 当日集合竞价,获取当日个股和ETF的集合竞价成交情况，每天9点25后可以获取当日的集合竞价成交数据     20250115以前就没了
    ]
    basic_api=[]

    # 指定日期范围
    start_date = '20250201'
    end_date = None

    DataFetcher.update_all(trade_date_api=trade_date_api, basic_api=basic_api, start_date=start_date, end_date=end_date, force_update=False)

if __name__ == "__main__":
    update_main()

    # analyzer = MoneyflowAnalyzer()
    # analyzer.main_flow_analyze(days_forward=10,use_consistent_samples=True)